Subject: Re: Chanterelles

From: [email-masked] (LauraL6000)
Date: 9 Aug 1995 17:06:42 -0400

For all those who have asked - the chanterelles I found were in the
Catskills region of NY (near Woodstock). Also found a bounty of black
trumpets (my FAVORITE!!!). Would also love any recipes for either of
these.

Does anyone know of any forays that will be happening in my area? Thanks!